
<?php

/* ======================================================================== \
|   FORMA - The E-Learning Suite                                            |
|                                                                           |
|   Copyright (c) 2013 (Forma)                                              |
|   http://www.formalms.org                                                 |
|   License  http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt           |
|                                                                           |
|   from docebo 4.0.5 CE 2008-2012 (c) docebo                               |
|   License http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt            |
\ ======================================================================== */

/**
 * User: murat
 * Date: 12/19/16
 * Translate user-object grid statics into CoursestatsLmsController.php with statustranslation function
 */


function statustranslation($status){

    switch ($status) {

        case 'completed' : $status_translation = str_replace('completed', Lang::t('completed', 'standard'), $status);break;

        case 'passed' :
            $status_translation  = str_replace('passed', Lang::t('completed', 'standard'), $status);break;

        case 'ab-initio' :
            $status_translation  = str_replace('ab-initio', Lang::t('ab-initio', 'standard'), $status);break;

        case 'attempted' :
            $status_translation  = str_replace('attempted', Lang::t('attempted', 'standard'), $status);break;

        case 'not attempted' :
            $status_translation  = str_replace('not attempted' , Lang::t('not attempted', 'standard'), $status);break;

        case 'incomplete' :
            $status_translation  = str_replace('incomplete', Lang::t('incomplete', 'standard'), $status);break;

        case 'failed' :
            $status_translation  = str_replace('failed',  Lang::t('failed', 'standard'), $status);break;
        default: $status_translation = str_replace('', '-', $status); break;
    }
    return $status_translation;

}

function objTypetranslation($objectype){

    switch ($objectype) {
        case "scormorg" : $type_translation =  Lang::t('_LONAME_scormorg', 'storage'); break;
        case "item" : $type_translation =  Lang::t('_LONAME_item', 'storage'); break;
        case "test" : $type_translation =  Lang::t('_LONAME_test', 'storage'); break;
        case "link" : $type_translation =  Lang::t('_LONAME_link', 'storage'); break;
        case "htmlpage" : $type_translation =  Lang::t('_LONAME_htmlpage', 'storage'); break;
    	default: $type_translation =  Lang::t('_LONAME_'.$objectype, 'storage');
        }

        return $type_translation;
    }
?>
